2006年3月16日

[cola:10329] strxns 0.9.2.3 Released - STREAMS XNS 5.2 Networking for Linux

strxns-0.9.2.3 was released under GPLv2 on March 15, 2006.

STREAMS XNS is an implementation of X/Open Network Services (XNS 5.2)
for Linux Fast-STREAMS and provides OSI conforming CDI, DLPI and NPI
header files as well as several DLPI modules and drivers that convert
between the Linux Native IP interface and the STREAMS DLPI interface.
One allows DLPI drivers to be added to Linux as IP interfaces, the other
provides DLPI access to native Linux IP interfaces.


This is the OpenSS7 Project's third separate release from the OpenSS7
Project of the OpenSS7 STREAMS XNS modules, formerly part of the (now
deprecated) Linux STREAMS LiS-2.18.0 package. These networking modules
provide DLPI and Linux IP interface drivers, as well as providing CDI,
DLPI and NPI header files. The package contains all the necessary
manual pages and other documentation for XNS components in a separate
autoconf tarball.

This release is primarily to support additional compilers (gcc 4.0.2),
architectures (x86_64, SMP, 32-bit compatibility), recent Linux
distributions (EL4, SuSE 10, LE2006, OpenSuSE) and kernels (2.6.15). It
includes:

- Changes necessary for __LP64__ compatible builds. Changes to support
32-bit ioctl compatibility for __LP64__ architectures. Binary
compatibility should not have been disrupted. At the same time as
the ioctl32 changes, TRANSPARENT ioctl support for most of the IO
controls for the ldl(4) driver has been added.

- Changes to satisfy gcc 4.0.2 compiler.

- Corrections for and testing of 64-bit clean compile and test runs on
x86_64 architecture. Some bug corrections resulting from gcc 4.0.2
compiler warnings.

- Corrected build flags for Gentoo and 2.6.15 kernels as reported on
mailing list.

- Initial corrections for and testing of SMP operation on Intel 630
Hyper-Threaded SMP on x86_64. This package should now run well on
N-way Xeons even with Hyper-Threading enabled.

- Corrections and validation of 32-bit compatibility over 64-bit on
x86_64. Should apply well to other 64-bit architectures as well.

This is public beta release of the package: it deprecates previous
releases. Please upgrade before reporting problems with previous
releases.

As with other OpenSS7 releases, this release configures, compiles,
installs and builds rpms for a wide range of Linux 2.4 and 2.6 RPM-based
distributions, and can be used on production kernels without patching or
recompiling the kernel.

This package is released under the 'GNU Public License Version 2'. The
release is available as an autoconf/RPM tarball, SRPM and set of binary
RPMs. See the download page < http://www.openss7.org/download.html>; for
the autoconf tarballs and SRPMs. See the strxns package page at
< http://www.openss7.org/strxns_pkg.html>; for tarballs, SRPMs and binary
RPMs.

See < http://www.openss7.org/codefiles/strxns-0.9.2.3/ChangeLog>; and
< http://www.openss7.org/codefiles/strxns-0.9.2.3/NEWS>; in the release
for more information. Also, see the strxns.pdf manual in the release
(also in html < http://www.openss7.org/strxns_manual.html>;).

For the news release, see < http://www.openss7.org/rel20060315_6.html>;

--
Brian F. G. Bidulock
bidulock@xxxxx
http://www.openss7.org/

##########################################################################
# Send submissions for comp.os.linux.announce to: cola@xxxxx #
# PLEASE remember a short description of the software and the LOCATION. #
# This group is archived at http://stump.algebra.com/~cola/ #
##########################################################################


投稿者 xml-rpc : 2006年3月16日 21:21
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/42566
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。